name='obs-studio'
version='29.0.2'
release='1'
desc='OBS Studio is software designed for capturing, compositing, encoding, recording, and streaming video content, efficiently.'
homepage='https://github.com/obsproject/obs-studio'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('GPL-2.0 license')
provides=('obs-studio')
conflicts=('obs-studio')
deps=()
build_deps=('lib64alsa-oss-devel.x86_64' \
       'lib64boost_asio-devel' \
       'cmake' \
       'lib64ffmpeg-devel' \
       'fontconfig-devel' \
       'freetype-devel' \
       'gcc' \
       'gcc-c++' \
       'gcc-objc' \
       'git' \
       'glib2-devel' \
       'jansson-devel' \
       'nlohmann-json' \
       'lib64avcodec58' \
       'lib64avdevice58' \
       'lib64rist-devel' \
       'lib64curl-devel' \
       'lib64drm-devel' \
       'lib64glvnd-devel' \
       'lib64uuid-devel' \
       'lib64va-devel' \
       'lib64v4l-devel' \
       'lib64x11-devel' \
       'lib64xcomposite1' \
       'lib64xdamage1' \
       'lib64xinerama-devel' \
       'lib64xkbcommon-devel' \
       'luajit-devel' \
       'make' \
       'mbedtls-devel' \
       'pciutils-devel' \
       'pipewire-devel' \
       'lib64pulseaudio-devel' \
       'python3-devel' \
       'qt5-devel' \
       'lib64qt5svg-devel' \
       'openssl-devel' \
       'speexdsp-devel' \
       'swig' \
       'lib64systemd-devel' \
       'vlc-devel' \
       'wayland-devel' \
       'websocketpp-devel' \
       'x264-devel')


sources=("https://cdn-fastly.obsproject.com/downloads/cef_binary_5060_linux64.tar.bz2"
"git+https://github.com/obsproject/obs-studio.git"
)
checksums=('SKIP'
'SKIP'
)

build() {
cd ${srcdir}/obs-studio
git submodule update --init --recursive
mkdir build
cd ./build
cmake -DENABLE_BROWSER=ON -DCEF_ROOT_DIR="../../cef_binary_5060_linux64" -DENABLE_AJA=OFF -DENABLE_NEW_MPEGTS_OUTPUT=OFF ..
make -j$(nproc)
sudo make install
}

package() {
       cd ${pkgname}-${pkgver}
       }
